Skip to main content
GET
/
v1
/
master-inbox
/
rooms
/
{roomId}
/
stories
List chat room stories
curl --request GET \
  --url https://api.getmany.io/service/v1/master-inbox/rooms/{roomId}/stories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "storyId": "<string>",
      "userId": "<string>",
      "userName": "<string>",
      "userPhotoUrl": "<string>",
      "message": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "attachments": [
        {
          "objectReferenceId": "<string>",
          "objectType": "<string>",
          "metadata": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "meta": {
    "pageSize": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

roomId
string
required

Query Parameters

pageCursor
string
pageSize
string

Response

Paginated chat stories with room participants

data
object[]
required
meta
object
required